curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/relationships/{relationship_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"relationship_type": "BENEFICIAL_OWNER_OF",
"from_person_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"metadata": {},
"tenant": "abcdef_ghijkl",
"to_business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/relationships/{relationship_id}"
payload = {
"relationship_type": "BENEFICIAL_OWNER_OF",
"from_person_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"metadata": {},
"tenant": "abcdef_ghijkl",
"to_business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
relationship_type: 'BENEFICIAL_OWNER_OF',
from_person_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
metadata: {},
tenant: 'abcdef_ghijkl',
to_business_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7'
})
};
fetch('https://api-sandbox.synctera.com/v0/relationships/{relationship_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"relationship_type": "BENEFICIAL_OWNER_OF",
"additional_data": {
"title": "OFFICER",
"title_other": "Controller"
},
"creation_time": "2010-05-06T12:23:34.321Z",
"from_person_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"tenant": "abcdef_ghijkl",
"to_business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update relationship
Update relationship by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
Relationship ID of the account associate with the account entity
"1a582c51-e4ff-4e57-9558-08cab6b963aa"
Body
- Managing Person
- Business Owner
- Beneficial Owner
- Payer/Payee
Denotes the relationship between specified person and business.
The relationship type. One of the following:
BENEFICIAL_OWNER_OF– a person who directly or indirectly owns a portion of the business.MANAGING_PERSON_OF– a person who is an officer, director, or other notable person of an organization.OWNER_OF– a business with ownership of another business.PAYER_PAYEE- a person or business with a payer payee relationship with another person or business
BENEFICIAL_OWNER_OF, MANAGING_PERSON_OF, OWNER_OF, PAYER_PAYEE "BENEFICIAL_OWNER_OF"
Contains additional information about the relationship.
Show child attributes
Show child attributes
Unique ID for the subject person.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Unique ID for the related business.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
Updated relationship representation.
- Managing Person
- Business Owner
- Beneficial Owner
- Payer/Payee
Denotes the relationship between specified person and business.
The relationship type. One of the following:
BENEFICIAL_OWNER_OF– a person who directly or indirectly owns a portion of the business.MANAGING_PERSON_OF– a person who is an officer, director, or other notable person of an organization.OWNER_OF– a business with ownership of another business.PAYER_PAYEE- a person or business with a payer payee relationship with another person or business
BENEFICIAL_OWNER_OF, MANAGING_PERSON_OF, OWNER_OF, PAYER_PAYEE "BENEFICIAL_OWNER_OF"
Contains additional information about the relationship.
Show child attributes
Show child attributes
The date and time the resource was created.
"2010-05-06T12:23:34.321Z"
Unique ID for the subject person.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Relationship unique identifier.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The date and time the resource was last updated.
"2010-05-06T12:23:34.321Z"
Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Unique ID for the related business.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Was this page helpful?

